<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$table = "courses";

$id = $_GET['id']==""?$_POST['id']:$_GET['id'];
$group_ids = $_GET['group_ids']==""?$_POST['group_ids']:$_GET['group_ids'];
$action = trim($_GET['action']=="")?trim($_POST['action']):trim($_GET['action']);

if(is_numeric($id)){
	$group_ids = Array();
	$group_ids[0]=$id;
}

$result_flag = true;

if(sizeof($group_ids)==0||!is_array($group_ids)){
	header("Location: ./index.php?l_pager");
	exit;
}

$url = "index.php";

switch($action){
	case "delete_curr":
		$url = "currencies.php";
		$flag = true;
		foreach($group_ids as $value){
    		if(!(@DeleteRecord("currencies",$value))){
				$result_flag = false;
				break;
			}

		}
		break;
	case "delete":
		$flag = true;
		foreach($group_ids as $value){
    		if(!(@DeleteRecord($table,$value, "date"))){
				$result_flag = false;
				break;
			}

		}
		break;
	case "activate":
		$flag = true;
		foreach($group_ids as $value){
			if(!(@UpdateRecord($table,array("status"=>1),$value))){
				$result_flag = false;
				break;
			}
		}
		break;
	case "unactivate":
		$flag = true;
		foreach($group_ids as $value){
			if(!(@UpdateRecord($table,array("status"=>0),$value))){
				$result_flag = false;
				break;
			}
		}
		break;
}
if($result_flag){
	$_SESSION['STATUS_MSG'] = "Операция успешно завершена.";
	header("Location: ./$url?l_pager");
}
else{
	$_SESSION['ERROR_MSG'] = "Ошибка. Возможно стоит запрет на операцию в базе данных.";
	header("Location: ./$url?l_pager");
}
exit;
?>